/*
 *  This file contains definitions for LatticeMico32 UART
 *
 *  COPYRIGHT (c) 1989-1999.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id: uart.h,v 1.1 2008/12/04 22:55:13 joel Exp $
 *
 *  Yann Sionneau <yann.sionneau@telecom-sudparis.eu> (GSoC 2010)
 *  Telecom SudParis
 */

#ifndef _BSPUART_H
#define _BSPUART_H

void BSP_uart_init(int baud);

#define MM_UART_RXTX	(0xe0000000)

#define MM_UART_DIV     (0xe0000004)

#define MM_IRQ_UARTTX	(0x00000010) /* 4 */
#define MM_IRQ_UARTRX	(0x00000008) /* 3 */

#endif /* _BSPUART_H */
